/* ***************
Desc: Installation script
Modified version of Chris Pederick installscript from WD.
Author: Jed Brown (jedbro@gmx.net)
Version: 0.3
Last modified: September 18th, 2003
Modified by: Travis Hardiman (diesel69power@hotmail.com)
****************** */

const author              = "Travis Hardiman";
const displayName         = "Image Zoomer";
const name                = "imagezoomer";
const version             = "0.1";
var contentFlag           = CONTENT | PROFILE_CHROME;
var error                 = null;
var folder                = getFolder("Profile", "chrome");
var localeFlag			  = LOCALE | PROFILE_CHROME;
var skinFlag              = SKIN | PROFILE_CHROME;
var jarName               = name + ".jar";
var existsInApplication   = File.exists(getFolder(getFolder("chrome"), jarName));
var existsInProfile       = File.exists(getFolder(folder, jarName));
const SUCCESS_MESSAGE     = " can now be found on the context menu for images.\n Please restart the application.";
const APP_LOCALE_FOLDERS  = new Array("locale/en-US/", "locale/eo/", "locale/en/");

initInstall(displayName, name, version);

// If the extension exists in the application folder or it doesn't exist in the profile folder and the user doesn't want it installed to the profile folder
if(existsInApplication || (!existsInProfile && !confirm("Do you want to install the extension into your profile folder?\n(Cancel will install into the application folder)")))
{
    contentFlag = CONTENT | DELAYED_CHROME;
    folder      = getFolder("chrome");
    localeFlag	= LOCALE | DELAYED_CHROME;
    skinFlag    = SKIN | DELAYED_CHROME;
}

setPackageFolder(folder);
error = addFile(author, version, jarName, folder, null);

// If adding the JAR file succeeded
if(error == SUCCESS)
{
    folder = getFolder(folder, jarName);

    registerChrome(contentFlag, folder, "content/" + name + "/");
	for(var i=0; i<APP_LOCALE_FOLDERS.length; i++) {
	    registerChrome(localeFlag, folder, APP_LOCALE_FOLDERS[i] + name + "/");
	}
	//registerChrome(skinFlag, folder, "skin/classic/");

    error = performInstall();

    // If the install failed
    if(error == SUCCESS || error == 999)
    {
    	alert(displayName+" "+version+" has been succesfully installed.\n"+displayName + SUCCESS_MESSAGE);
    }else{
	alert("Install failed. Error code:" + error);
	cancelInstall(error);
    }
}
else
{
	alert("The installation of the extension failed.\n" + error + "\n Failed to create " +jarName+ " \n"
	      +"Make sure you have the correct permissions");
	cancelInstall(error);
}